Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 972724 - pvs does not respect cluster locking as vgs/pvs do
Summary: pvs does not respect cluster locking as vgs/pvs do
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-10 13:19 UTC by Fabio Massimo Di Nitto
Modified: 2014-04-23 09:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-23 09:27:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fabio Massimo Di Nitto 2013-06-10 13:19:24 UTC
Description of problem:

In a cluster, with locking_type set to 3, start clvmd on all nodes, shutdown clvmd on one node:

pvs will fail to scan devices because it cannot obtain cluster locking.

vgs/lvs will instead report the error (correctly) and then provide the information.

Behavior should be consistent across all tools.

Comment 2 RHEL Program Management 2014-03-22 06:46:41 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 Peter Rajnoha 2014-04-23 09:27:31 UTC
Seems this no longer an issue:

[root@rhel7-b ~]# pvs
  PV         VG   Fmt  Attr PSize   PFree  
  /dev/sda   vg   lvm2 a--  124.00m 120.00m
  /dev/vda2  rhel lvm2 a--    9.51g      0 


[root@rhel7-c ~]# pvs
  connect() failed on local socket: No such file or directory
  Internal cluster locking initialisation failed.
  WARNING: Falling back to local file-based locking.
  Volume Groups with the clustered attribute will be inaccessible.
  Skipping clustered volume group vg
  Skipping volume group vg
  PV         VG   Fmt  Attr PSize PFree
  /dev/vda2  rhel lvm2 a--  9.51g    0


Note You need to log in before you can comment on or make changes to this bug.